[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TryEnterCriticalsection

Try entering a critical section

## Declaration

Source position: threadh.inc line 153

`function TryEnterCriticalsection(`
`var cs: TRTLCriticalSection`
`):LongInt;`

## Description

TryEnterCriticalsection attempts to enter critical section cs. It returns at once. The return value is zero if another thread owns the critical section, or nonzero if the current thread already owns or succesfully obtained the critical section.

Documentation generated on: Feb 26 2014